- [HTTP request](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.ListQuarantinedMessagesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages/list.md.txt#body.aspect)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features.

Queries for quarantined messages using specific filter conditions.

<br />

### HTTP request

`GET https://mailadminquarantine.googleapis.com/v1/{parent=customers/*}/quarantinedMessages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource, which owns this collection of messages. Format: customers/{customer_id} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous List request. |

### Request body

The request body must be empty.

### Response body

Response message for \[quarantinedMessages.list\]\[\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "quarantinedMessages": [ { object (`QuarantinedMessage`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `quarantinedMessages[]` | ``object (`QuarantinedMessage`)`` The list of quarantined messages matching the request. |
| `nextPageToken` | `string` A token to retrieve the next page of results. |
| `unreachable[]` | `string` Accounts for which the service could not retrieve quarantined messages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/gmail.admin.quarantine`
- `https://www.googleapis.com/auth/gmail.admin.quarantine.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/gmail/admin-quarantine/guides/authorize.md.txt).